# Uses of Interface
com.databricks.jdbc.api.impl.converters.ObjectConverter

Packages that use ObjectConverter
Package
Description
com.databricks.jdbc.api.impl.converters

## Uses of ObjectConverter in com.databricks.jdbc.api.impl.converters

Classes in com.databricks.jdbc.api.impl.converters that implement ObjectConverter
Modifier and Type
Class
Description
`class`
`BigDecimalConverter`
`class`
`BitConverter`
`class`
`BooleanConverter`
`class`
`ByteArrayConverter`
`class`
`ByteConverter`
`class`
`DateConverter`
`class`
`DoubleConverter`
`class`
`FloatConverter`
`class`
`IntConverter`
`class`
`LongConverter`
`class`
`ShortConverter`
`class`
`StringConverter`
`class`
`TimestampConverter`
Methods in com.databricks.jdbc.api.impl.converters that return ObjectConverter
Modifier and Type
Method
Description
`static ObjectConverter`
ConverterHelper.`getConverterForSqlType(int columnSqlType)`
Retrieves the appropriate ObjectConverter for a given SQL type.